# Path to your oh-my-zsh installation.
export ZSH="$HOME/.oh-my-zsh"

# Set name of the theme to load --- if set to "random", it will
# load a random theme each time oh-my-zsh is loaded, in which case,
# to know which specific one was loaded, run: echo $RANDOM_THEME
# See https://github.com/ohmyzsh/ohmyzsh/wiki/Themes
# Set list of themes to pick from when loading at random
# Setting this variable when ZSH_THEME=random will cause zsh to load
# a theme from this variable instead of looking in $ZSH/themes/
# If set to an empty array, this variable will have no effect.
# ZSH_THEME_RANDOM_CANDIDATES=( "robbyrussell" "agnoster" )

# Uncomment the following line to use case-sensitive completion.
# CASE_SENSITIVE="true"

# Uncomment the following line to use hyphen-insensitive completion.
# Case-sensitive completion must be off. _ and - will be interchangeable.
# HYPHEN_INSENSITIVE="true"

# Uncomment one of the following lines to change the auto-update behavior
# zstyle ':omz:update' mode disabled  # disable automatic updates
# zstyle ':omz:update' mode auto      # update automatically without asking
# zstyle ':omz:update' mode reminder  # just remind me to update when it's time

# Uncomment the following line to change how often to auto-update (in days).
# zstyle ':omz:update' frequency 13

# Uncomment the following line if pasting URLs and other text is messed up.
# DISABLE_MAGIC_FUNCTIONS="true"

# Uncomment the following line to disable colors in ls.
# DISABLE_LS_COLORS="true"

# Uncomment the following line to disable auto-setting terminal title.
# DISABLE_AUTO_TITLE="true"

# Uncomment the following line to enable command auto-correction.
# ENABLE_CORRECTION="true"

# Uncomment the following line to display red dots whilst waiting for completion.
# You can also set it to another string to have that shown instead of the default red dots.
# e.g. COMPLETION_WAITING_DOTS="%F{yellow}waiting...%f"
# Caution: this setting can cause issues with multiline prompts in zsh < 5.7.1 (see #5765)
# COMPLETION_WAITING_DOTS="true"

# Uncomment the following line if you want to disable marking untracked files
# under VCS as dirty. This makes repository status check for large repositories
# much, much faster.
# DISABLE_UNTRACKED_FILES_DIRTY="true"

# Uncomment the following line if you want to change the command execution time
# stamp shown in the history command output.
# You can set one of the optional three formats:
# "mm/dd/yyyy"|"dd.mm.yyyy"|"yyyy-mm-dd"
# or set a custom format using the strftime function format specifications,
# see 'man strftime' for details.
# HIST_STAMPS="mm/dd/yyyy"

# Would you like to use another custom folder than $ZSH/custom?
# ZSH_CUSTOM=/path/to/new-custom-folder

# Which plugins would you like to load?
# Standard plugins can be found in $ZSH/plugins/
# Custom plugins may be added to $ZSH_CUSTOM/plugins/
# Example format: plugins=(rails git textmate ruby lighthouse)
# Add wisely, as too many plugins slow down shell startup.
plugins=(zsh-autosuggestions sudo zsh-syntax-highlighting)
source $ZSH/oh-my-zsh.sh

# User configuration

# export MANPATH="/usr/local/man:$MANPATH"
export DBUS_SESSION_BUS_ADRESS="unix:path=$DBUS_LAUNCHD_SESSION_BUS_SOCKET"

# You may need to manually set your language environment
# export LANG=en_US.UTF-8

# Preferred editor for local and remote sessions
# if [[ -n $SSH_CONNECTION ]]; then
#   export EDITOR='vim'
# else
#   export EDITOR='mvim'
# fi

# Compilation flags
# export ARCHFLAGS="-arch x86_64"

# Set personal aliases, overriding those provided by oh-my-zsh libs,
# plugins, and themes. Aliases can be placed here, though oh-my-zsh
# users are encouraged to define aliases within the ZSH_CUSTOM folder.
# For a full list of active aliases, run `alias`.
#
# Example aliases
# alias zshconfig="mate ~/.zshrc"
# alias ohmyzsh="mate ~/.oh-my-zsh"

# on startup

clear

function colorscript ()
{
  ls ~/.config/colorscripts |sort -R |tail -1 |while read file; do
    ~/.config/colorscripts/$file 
  done
}

eval $(thefuck --alias)
eval "$(zoxide init --cmd cd zsh)"
colorscript

# Terminal Shortcuts

alias srz="source ~/.zshrc"

alias l="eza --tree --level=2 --color=always --long --git --no-filesize --icons=always --no-time --no-user --no-permissions"

alias python="python3.12"
alias pip="pip3.12"

function ct {
	clear
  colorscript
	cd
}

function c { 
  clear
  colorscript
}

function li () {
	eza --color=always --long --git --no-filesize --icons=always --no-time --no-user --no-permissions $1
}

function z () {
  zathura $1 &>/dev/null &
}

function s () {
  sioyek $1 --new-window &>/dev/null &
}

# Latex

function theory () {
  mkdir fig
  mkdir pdf
  cp ~/.config/nvim/templates/latex/theory/letterfonts.latex .
  cp ~/.config/nvim/templates/latex/theory/macros.latex .
  cp ~/.config/nvim/templates/latex/theory/preamble.latex .
  cp ~/.config/nvim/templates/latex/theory/main.latex .
  mv main.latex main.tex
  mv preamble.latex preamble.tex
  mv macros.latex macros.tex
  mv letterfonts.latex letterfonts.tex
}

alias Facharbeit="cp ~/Nextcloud/Layouts/Facharbeit/Facharbeit.tex ."

alias Layout="cp ~/Nextcloud/Layouts/Layout/layout.tex ."

function graph () {
  cp ~/Nextcloud/Layouts/Graph/template.py fig/$1.py
  echo "plt.savefig($1.pdf)" >> fig/$1.py
  nvim fig/$1.py --wait
  rm fig/$1.py
}

# Skript of Professors

function update {
  rm Ziltener_Notizen_Analysis_1_ITET_RW.pdf
  wget https://metaphor.ethz.ch/x/2024/hs/401-0231-10L/Ziltener_Notizen_Analysis_1_ITET_RW.pdf
}

# Initialize Starship 
eval "$(starship init zsh)"
export STARSHIP_CONFIG=~/.config/starship/starship.toml

# Setup fzf key bindings and fuzzy completion
eval "$(fzf --zsh)"

eval "$(/usr/libexec/path_helper)"

# BAT (better cat)
export BAT_THEME=Dracula

# Lazygit
alias lg="lazygit"

# Created by `pipx` on 2024-11-21 21:29:27
export PATH="$PATH:/Users/jirayu/.local/bin"
